org.eclipse.oomph.setup.workbench

## Interface FileMapping

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    FileMappingImpl

      public interface FileMapping
      extends ModelElement

  A representation of the model object 'File Mapping'.

  The following features are supported:

  - `File Pattern`
  - `Default Editor ID`
  - `Editors`
  See Also:
    `WorkbenchPackage.getFileMapping()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEditorID()` Returns the value of the 'Default Editor ID' attribute.
    `EList<FileEditor>` | `getEditors()` Returns the value of the 'Editors' containment reference list.
    `String` | `getFilePattern()` Returns the value of the 'File Pattern' attribute.
    `void` | `setDefaultEditorID(String value)` Sets the value of the '`Default Editor ID`' attribute.
    `void` | `setFilePattern(String value)` Sets the value of the '`File Pattern`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFilePattern

          String getFilePattern()

      Returns the value of the 'File Pattern' attribute.

      If the meaning of the 'File Pattern' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'File Pattern' attribute.
      See Also:
        `setFilePattern(String)`, `WorkbenchPackage.getFileMapping_FilePattern()`
      Generated
      Model
        required="true"

    - #### setFilePattern

          void setFilePattern(String value)

      Sets the value of the '`File Pattern`' attribute.
      Parameters:
        `value` - the new value of the 'File Pattern' attribute.
      See Also:
        `getFilePattern()`
      Generated

    - #### getDefaultEditorID

          String getDefaultEditorID()

      Returns the value of the 'Default Editor ID' attribute.

      If the meaning of the 'Default Editor ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default Editor ID' attribute.
      See Also:
        `setDefaultEditorID(String)`, `WorkbenchPackage.getFileMapping_DefaultEditorID()`
      Generated
      Model

    - #### setDefaultEditorID

          void setDefaultEditorID(String value)

      Sets the value of the '`Default Editor ID`' attribute.
      Parameters:
        `value` - the new value of the 'Default Editor ID' attribute.
      See Also:
        `getDefaultEditorID()`
      Generated

    - #### getEditors

          EList<FileEditor> getEditors()

      Returns the value of the 'Editors' containment reference list. The list contents are of type `FileEditor`.

      If the meaning of the 'Editors' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Editors' containment reference list.
      See Also:
        `WorkbenchPackage.getFileMapping_Editors()`
      Generated
      Model
        containment="true" extendedMetaData="name='editor'"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html